import time
print time.time()
from PyOSG import osg
from PyOSG import osgDB
import sys
import os
from select import select
from socket import *
try:
    import readline
except:
    print "no readline support"
try:
    import msvcrt
except:
    print "no msvcrt"

conn = None
stdin = os.fdopen(0)
stdout = os.fdopen(1)

def waitforcon():
    global conn, stdin, stdout
    s = socket(AF_INET, SOCK_STREAM)
    s.bind(('', 9999))
    s.listen(1)
    conn, (remotehost, remoteport) = s.accept()
    print 'connected by', remotehost, remoteport
    if conn:
            os.dup2(0, 10)
            os.dup2(1, 11)
            stdin.close()
            stdout.close()
            os.dup2(conn.fileno(), 0)
            os.dup2(conn.fileno(), 1)
            stdin = os.fdopen(0)
            stdout = os.fdopen(1)

def init(group):
    print "The group = ", group.getName()
#    waitforcon()
    pass

def cull(group, nv):
    print "cull"

def update(group, nv):
        global steps
        global conn
        global stdout
        global stdin

        #if select([stdin], [], [], 0)[0] == None:
        #    if steps > 0:
        #        steps -= 1
        #        return
        if msvcrt.kbhit() == 0:
            return
        # print >> sys.stderr, "data avail"

        inp = ""
        if conn:
            try:
                conn.send("-> ")
                inp = conn.recv(100)
            except:
                conn = None
                os.dup2(10, 0)
                os.dup2(11, 1)
            # strip of any control/special characters
            while len(inp) and ord(inp[-1]) < 14:   
                # print >> sys.stderr, ord(x[-1])
                inp = inp[:-1]
        else:
            inp = raw_input("-> ")
        if len(inp) == 0:
            return;
        if inp[0] == 's':
            try :
                steps = int(inp[1:])
            except:
                steps = 1
        elif inp[0] == 'c':
                steps = -1
        elif inp[0] == "q":
            print "quitting"
            if conn:
                    conn.close()
            sys.exit(1)
        else:
            try:
                exec inp in globals(), locals()
            except:
                print "Error"

def dump(node, indent = ""):
    group = node.asGroup()
    geode = node.asGeode()

    if group:
        print indent, "group ", group.getName(), group.className(), group.typeName()
        print indent, "  children = ", group.getNumChildren()
    if geode:
        print indent, "geode ", geode.getName(), geode.className(), geode.typeName()
        print indent, "  drawables = ", geode.getNumDrawables()
        for x in range(geode.getNumDrawables()):
            d = geode.getDrawable(x)
            print indent, "   ", d.className()

    if group:
        for x in range(group.getNumChildren()):
            n = group.getChild(x)
            traverse(n, indent + "  ")

