// Copyright (C) 2002-2003 Gideon May (gideon@computer.org)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.
//

#ifndef PYOSG_OSG_CAMERA_GROUP
#define PYOSG_OSG_CAMERA_GROUP 1

#include <osg/ArgumentParser>
#include <osgProducer/OsgCameraGroup>

namespace PyOSG {

using namespace boost::python;

// Splitting up the wrapping of OsgCameraGroup over 2 files. otherwise the
// .Net compiler gives an internal compiler error

typedef class_<osgProducer::OsgCameraGroup,  bases<Producer::CameraGroup> > class_OsgCameraGroup;
extern class_OsgCameraGroup * OsgCameraGroupClass;  // Defined in osgProducer/OsgCameraGroup.cpp

} // namespace PyOSG

#endif // PYOSG_OSG_CAMERA_GROUP
