import os

ext_modules = [
    'Producer',
    'osg',
    'osgDB',
    'osgFX',
    'osgGA',
    'osgParticle',
    'osgProducer',
    'osgSim',
    'osgText',
    'osgUtil',
    ]

if os.getenv("GDAL_INSTALLED"):
    ext_modules.append('osgTerrain')

if os.getenv("OPENAL_INSTALLED"):
    ext_modules.append('osgAL')

if os.getenv("OSGSOUND_INSTALLED"):
    ext_modules.append('osgSound')

py_modules = [
    'PyOSG'
]

node_kits = [
    'osgScript',
]

plugins = [
    'osgdb_osgScript'
]

