// Copyright (C) 2005 Gideon May (gideon@computer.org)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.

#include <boost/python/module.hpp>

using namespace boost::python;

namespace PyOSG {
void init_SoundManager();
}

using namespace PyOSG;

namespace {
void __init_osgAL()
{
    init_SoundManager();
}
}

BOOST_PYTHON_MODULE(_osgAL)
{
    __init_osgAL();
}
#include "module_tail.hpp"
