// Copyright (C) 2002-2005 Gideon May (gideon@computer.org)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.

#ifdef __USE_OSX_IMPLEMENTATION__
#include <strings.h>
#include "missing.hpp"
#include <Carbon/Carbon.h>
#undef check
#endif

#include <boost/python/class.hpp>
#include <boost/python/return_internal_reference.hpp>
#include <boost/python/scope.hpp>
#include <boost/python/enum.hpp>
#include <boost/python/call_method.hpp>
#include <boost/python/overloads.hpp>
#include <boost/python/extract.hpp>
#include <boost/python/iterator.hpp>

#include <osgGA/GUIEventAdapter>

#include <osgProducer/EventAdapter>

#include <iostream>

using namespace boost::python;

namespace PyOSG {

void init_EventAdapter()
{
    class_<osgProducer::EventAdapter, bases<osgGA::GUIEventAdapter> > event_adapter("EventAdapter");

    scope event_adapter_scope(event_adapter);
    event_adapter
        .def(init<>())
        ;
}

}


