// Copyright (C) 2002-2003 Gideon May (gideon@computer.org)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.

#include <osgScript/Script>
#include <osg/Notify>

using namespace osg;

osgScript::Script::Script()
{
    notify(DEBUG_INFO) << "Script::Script()" << std::endl;
}

osgScript::Script::Script(const Script& transform,const osg::CopyOp& copyop):
    osg::Group(transform,copyop)
{
    notify(DEBUG_INFO) << "Script::Script()" << std::endl;
}

osgScript::Script::~Script()
{
    notify(DEBUG_INFO) << "Script::~Script()" << std::endl;
}
