// Copyright (C) 2004 Brett Hartshorn (bhartsho@yahoo.com)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.

#include <boost/python/module.hpp>

using namespace boost::python;

namespace PyOSG {
void init_DataSet();
void init_HeightFieldRenderer();
void init_HeightFieldNode();
}

using namespace PyOSG;

namespace {

void __init_osgTerrain()
{
    init_DataSet();
    init_HeightFieldRenderer();
    init_HeightFieldNode();
}
}

BOOST_PYTHON_MODULE(_osgTerrain)
{
    __init_osgTerrain();
}
#include "module_tail.hpp"
