import os
import sys

boost_version_default = os.environ.get('BOOST_VERSION', '1_33_1')

if sys.platform == 'win32':
    boost_root_default = 'C:\\boost'
    osg_root_default = 'C:\\OSG'
else:
    boost_root_default = '/usr/local'
    osg_root_default = '/usr/local'


osg_root_default = os.environ.get('OSG_ROOT', osg_root_default)
boost_root_default = os.environ.get('BOOST_ROOT', boost_root_default)
boost_version_default = os.environ.get('BOOST_VERSION', boost_version_default)

build_opt =  os.environ.has_key('BUILD_OPT')
build_debug = os.environ.has_key('BUILD_DEBUG')
build_framework = os.environ.has_key('BUILD_FRAMEWORK')
build_node_kits = os.environ.has_key('BUILD_NODE_KITS')
build_plugins = os.environ.has_key('BUILD_PLUGINS')

