// Copyright (C) 2002-2003 Gideon May (gideon@computer.org)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.
//

#include <boost/python/class.hpp>

#include <osgParticle/Counter>

#include "held_ptr.hpp"

using namespace boost::python;

namespace PyOSGParticle {
void init_Counter()
{
    class_<osgParticle::Counter, osg::ref_ptr<osgParticle::Counter>, bases<osg::Object>, boost::noncopyable > counter("Counter",
        no_init);

    counter
        .def("numParticlesToCreate", 
        &osgParticle::Counter::numParticlesToCreate,
        "No Doc")
        ;
}
}
