// Copyright (C) 2002-2003-2003 Gideon May (gideon@computer.org)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.

#ifndef OSGSCRIPT_PYTHONINTERPRETER
#define OSGSCRIPT_PYTHONINTERPRETER 1

namespace osgScript {
class PythonInterpreter
{
    public:
        static PythonInterpreter* Instance();

        void runSimpleString(const char *);


    protected:
        PythonInterpreter();
       ~PythonInterpreter();

    private:
        static PythonInterpreter* _instance;
};
}

#endif
