// Copyright (C) 2004 Brett Hartshorn (bhartsho@yahoo.com)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.

#include <boost/python/class.hpp>
#include <boost/python/return_internal_reference.hpp>

#include <osgTerrain/HeightFieldRenderer>
#include "held_ptr.hpp"
using namespace boost::python;

namespace PyOSG {
void init_HeightFieldRenderer() {


// Note: held_ptr does not like virtural functions, disabling for now.
#if 0
//    class_<osgTerrain::HeightFieldRenderer, held_ptr<osgTerrain::HeightFieldRenderer>, bases<osg::Object>, boost::noncopyable >
//    heightFieldRenderer("HeightFieldRenderer", no_init);
    class_<osgTerrain::HeightFieldRenderer, bases<osg::Object>, boost::noncopyable >
    heightFieldRenderer("HeightFieldRenderer", no_init);
    
    heightFieldRenderer
    .def(init<>())
    .def("getHeightFieldNode", (osgTerrain::HeightFieldNode* (osgTerrain::HeightFieldRenderer::*)())
    &osgTerrain::HeightFieldRenderer::getHeightFieldNode)
    .def("initialize", &osgTerrain::HeightFieldRenderer::initialize)
    .def("heightFieldHasBeenModified", &osgTerrain::HeightFieldRenderer::heightFieldHasBeenModified)
    .def("update", &osgTerrain::HeightFieldRenderer::update)
    .def("cull", &osgTerrain::HeightFieldRenderer::cull)
    ;
#endif
}
} // namespace
