// Copyright (C) 2002-2003 Gideon May (gideon@computer.org)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.

#include "osgScript/Script"

#include "osgDB/Registry"
#include "osgDB/Input"
#include "osgDB/Output"

#include "osg/Notify"

using namespace osg;
using namespace osgScript;

// forward declare functions to use later.
bool Script_readLocalData(Object& obj, osgDB::Input& fr);
bool Script_writeLocalData(const Object& obj, osgDB::Output& fw);

// register the read and write functions with the osgDB::Registry.
osgDB::RegisterDotOsgWrapperProxy Script_Proxy
(
    new osgScript::Script,
    "Script",
    "Object Node Group Script",
    Script_readLocalData,
    Script_writeLocalData
);


bool Script_readLocalData(Object& obj, osgDB::Input& fr)
{
    bool iteratorAdvanced = false;

    return iteratorAdvanced;
}


bool Script_writeLocalData(const Object& obj, osgDB::Output& fw)
{
    // const Script& script = static_cast<const Script&>(obj);

    return true;
}
